%define name teg
%define version 0.11.2
%define release %mkrel 2

Summary:	Clone of a Risk clone
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://teg.sourceforge.net/
License:	GPL
Group:		Games/Strategy
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	%{name}-%{version}.tar.bz2
Source1:        %{name}
Source2:        %{name}_help_patch.tar.bz2
BuildRequires:	GConf2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	intltool
BuildRequires:	ImageMagick

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Táctico y Estratégico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are
different.

%prep
%setup -q


%build
%configure2_5x --bindir=%{_gamesbindir} --enable-ggz=no

%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std 

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=%{name}
Comment=Risk, a turn-based strategy game
Exec=tegclient
Icon=%{name}
Categories=Game;X-MandrivaLinux-MoreApplications-Games-Strategy;
EOF

#launcher
mkdir -p %{buildroot}%{_bindir}
install -m 755 %SOURCE1 %{buildroot}%{_bindir}

#fix bug in help 
mkdir -p %{buildroot}%{_datadir}/gnome/help
bzip2 -cd %SOURCE2 | tar xf - -C %{buildroot}%{_datadir}/gnome/help

# icons
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert -geometry 48x48 client/teg_pix/teg_icono.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 client/teg_pix/teg_icono.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 client/teg_pix/teg_icono.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome
%define schemas teg

%post
%update_menus
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog PEOPLE README* ReleaseNotes.txt TODO
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_gamesbindir}/*
%{_datadir}/pixmaps/*
%ghost %{_datadir}/gnome/apps
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.11.2-2pclos2010
- rebuild

* Wed Jul 22 2009 slick50 <lxgator@gmail.com> 0.11.2-1pclos2009
- initial pkg

